Bug 101394 - Multiple mice do not work
Multiple mice do not work
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gpm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
triage|leonardjo|closed|notabug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-31 13:35 EDT by David Balažic
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-02 12:20:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Balažic 2003-07-31 13:35:29 EDT
Description of problem:

I try to set up 3 mice with gpm , but is does not work :

root# gpm -t ps2 -m /dev/psaux   -M -t imps2 -m /dev/input/mice -M -t msc -
m /dev/ttyS1
gpm-Linux 1.19.3, $Date: 2000/01/17 22:23:03 $
Error in the acceleration specification. Try "gpm -h".


Each of the mouse works on its own.
They also work in combinations of two.

Version-Release number of selected component (if applicable):

gpm-1.19.3-27
on a RHL 9 system

How reproducible:
always

Steps to Reproduce:
see above

Actual results:
the error message above and no 3 mouse functionality

Expected results:
no error, 3 mice operation working
Comment 1 Eido Inoue 2003-08-01 14:15:45 EDT
does gpm 1.20 work (the one in rawhide)?
Comment 2 David Balažic 2003-08-05 06:27:14 EDT
No.

[root@slave6 root]# gpm  -m /dev/psaux -t ps2 -M  -m /dev/ttyS1 -t msc -M  -
m /dev/ttyS0 -t msc
*** err [gpn.c(141)]: Error in the acceleration specification. Try "gpm -h".

[root@slave6 root]# rpm -q gpm
gpm-1.20.1-36

It complains about some acceleration settings, so maybe it is wrongly 
interpreting the command line ?

The format of the error message is not very user friendly either ( but it is 
developer friendly :-)
Comment 3 David Balažic 2004-01-11 13:08:03 EST
gpm-1.20.1-38 on fedora core 1 :

# gpm  -m /dev/psaux -t ps2 -M  -m /dev/ttyS1 -t msc -M  -m /dev/ttyS0
-t msc
*** err [gpn.c(141)]: Error in the acceleration specification. Try
"gpm -h".

Then page suggest that only two mice are supported, quote :

  -M     Enable  multiple  mode. The daemon will read two different
mouse devices.
Comment 4 Leonard den Ottolander 2004-05-02 12:20:27 EDT
You said it yourself, only two devices supported according to the man
page. If you need three mice support you'ld best ask upstream.

Note You need to log in before you can comment on or make changes to this bug.